import React from 'react';
import { KeyboardAvoidingView, SafeAreaView, StatusBar, Platform } from 'react-native';
import ChatConfigurationsProvider from './context/ChatConfigurations';
import SocketContextComponent from './context/Socket/Component';
import { Chat, Widget as WidgetComponent } from './components';
import { styles } from './styles';
export const Code7Boteria = props => {
  const {
    botId
  } = props;
  const isIphone = Platform.OS === 'ios';
  const barStyle = isIphone ? 'dark-content' : 'default';
  const behavior = isIphone ? 'padding' : 'height';
  return /*#__PURE__*/React.createElement(SafeAreaView, {
    style: styles.areaView
  }, /*#__PURE__*/React.createElement(StatusBar, {
    barStyle: barStyle
  }), /*#__PURE__*/React.createElement(ChatConfigurationsProvider, null, /*#__PURE__*/React.createElement(SocketContextComponent, {
    botId: botId
  }, /*#__PURE__*/React.createElement(KeyboardAvoidingView, {
    behavior: behavior,
    style: styles.container
  }, /*#__PURE__*/React.createElement(Chat, null), /*#__PURE__*/React.createElement(WidgetComponent, null)))));
};
//# sourceMappingURL=index.js.map